#ifndef BOARD_H
#define BOARD_H

#include "tokens.h"

class CBoard
{
private:
	CTokens* board;
	int boardWidth;
	CTokens column;
	CTokens row;
	void initialize();
public:
	CBoard(int size);
	CBoard();
	void setSize(int size);
	void display(int x, int y);
	char getValue(int r, int c);
	void setValue(int r, int c, char ch);
	void setValue(char** matrix);
};

#endif