#ifndef BAG_H
#define BAG_H

#include "RoverType.h"
#include "tokens.h"

class CBag: public CTokens
{
private:
	static int tokenData[27][2];
	int tokenLeft;
	CToken bag;
public:
	CBag();
	int getTokenPoint(char ch);
	int getBlankNumber();
	void setBlankNumber(int newNum);	
	int getTokenNumber(char ch);
	void setTokenPoint(char ch, int newPoint);
	void setTokenNumber(char ch, int newNumber);	
	void show();//only show the number of left tokens
	bool removeLetter(CToken& result);
	bool removeLetter(char ch, CToken& result);
	bool addLetter(const CToken& target);
};

#endif
