#ifndef DECK_H
#define DECK_H	

#include "tokens.h"

class CDeck: public CTokens
{
protected:
	CCardBack deckBack;
	bool faceDown;
	int x, y;
public:
	CDeck(bool isEmpty=false);
	void setCoord(int newX, int newY);
	void showHand();
    int  numOfCards();
	bool addCard(const CToken& card);
	bool removeCard(CToken& token);	
	void setFace(bool faceDown=true);
	void display(int x, int y);
	void show();
};

#endif
