#ifndef CRACK_H
#define CRACK_H
#include "tokens.h"
#include "rummy.h"
//#include "control.h"

class CControl;

class CRack: public CTokens
{
	friend class CControl;
protected:
	char buffer[9];
	CToken cardBuf[7];
	char exchanged;	
	static CRummy rummy;
	CToken empty;
    int selected[7];
	int selectedCount;
	int x,y;
public:
	int exchangedIndex;
	CRack();
	bool selectToken(int index, bool isLetter=true);//success return true
	void addToken(const CToken& token);
	//void showRack(int x,int y);
	void addExchanged(char exch);
	void updateRack(bool rollBack=false);
	bool canAdd() { return selectedCount>0;}
	const char* exportWord();
	bool verifyCards();
	void setCoord(int theX, int theY){ x=theX; y=theY;}
	void removeToken(int index, CToken& result);
	void show();
};

#endif